# -*- encoding: utf-8 -*-
# stub: mogilefs-client 3.12.2 ruby lib

Gem::Specification.new do |s|
  s.name = "mogilefs-client".freeze
  s.version = "3.12.2".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["mogilefs-client hackers".freeze]
  s.date = "2020-02-06"
  s.description = "A MogileFS client library for Ruby.  MogileFS is an open source\ndistributed filesystem, see:\nhttps://github.com/mogilefs/MogileFS-Server/wiki for more details.\nThis library allows any Ruby application to read, write and delete\nfiles in a MogileFS instance.\n".freeze
  s.email = "mogilefs-client-public@yhbt.net".freeze
  s.executables = ["mog".freeze]
  s.files = [".document".freeze, ".gitattributes".freeze, ".gitignore".freeze, ".manifest".freeze, ".olddoc.yml".freeze, "GIT-VERSION-FILE".freeze, "GIT-VERSION-GEN".freeze, "GNUmakefile".freeze, "HACKING".freeze, "History".freeze, "LATEST".freeze, "LICENSE".freeze, "NEWS".freeze, "README".freeze, "TODO".freeze, "bin/mog".freeze, "examples/mog-sync.rb".freeze, "examples/stale_fid_checker.rb".freeze, "examples/usage_fetcher.rb".freeze, "lib/mogilefs.rb".freeze, "lib/mogilefs/admin.rb".freeze, "lib/mogilefs/backend.rb".freeze, "lib/mogilefs/bigfile.rb".freeze, "lib/mogilefs/bigfile/filter.rb".freeze, "lib/mogilefs/chunker.rb".freeze, "lib/mogilefs/client.rb".freeze, "lib/mogilefs/copy_stream.rb".freeze, "lib/mogilefs/http_file.rb".freeze, "lib/mogilefs/http_reader.rb".freeze, "lib/mogilefs/mogilefs.rb".freeze, "lib/mogilefs/mysql.rb".freeze, "lib/mogilefs/new_file.rb".freeze, "lib/mogilefs/new_file/common.rb".freeze, "lib/mogilefs/new_file/content_range.rb".freeze, "lib/mogilefs/new_file/stream.rb".freeze, "lib/mogilefs/new_file/tempfile.rb".freeze, "lib/mogilefs/new_file/writer.rb".freeze, "lib/mogilefs/nhp_fake.rb".freeze, "lib/mogilefs/paths_size.rb".freeze, "lib/mogilefs/pool.rb".freeze, "lib/mogilefs/socket.rb".freeze, "lib/mogilefs/socket/kgio.rb".freeze, "lib/mogilefs/socket/pure_ruby.rb".freeze, "lib/mogilefs/socket_common.rb".freeze, "lib/mogilefs/util.rb".freeze, "lib/mogilefs/version.rb".freeze, "mogilefs-client.gemspec".freeze, "pkg.mk".freeze, "setup.rb".freeze, "test/.gitignore".freeze, "test/aggregate.rb".freeze, "test/exec.rb".freeze, "test/fresh.rb".freeze, "test/setup.rb".freeze, "test/socket_test.rb".freeze, "test/test_admin.rb".freeze, "test/test_backend.rb".freeze, "test/test_bigfile.rb".freeze, "test/test_client.rb".freeze, "test/test_cmogstored.rb".freeze, "test/test_db_backend.rb".freeze, "test/test_fresh.rb".freeze, "test/test_http_reader.rb".freeze, "test/test_mogilefs.rb".freeze, "test/test_mogilefs_integration.rb".freeze, "test/test_mogilefs_integration_large_pipe.rb".freeze, "test/test_mogilefs_integration_list_keys.rb".freeze, "test/test_mogilefs_socket_kgio.rb".freeze, "test/test_mogilefs_socket_pure.rb".freeze, "test/test_mogtool_bigfile.rb".freeze, "test/test_mysql.rb".freeze, "test/test_nhp_compat.rb".freeze, "test/test_pool.rb".freeze]
  s.homepage = "https://yhbt.net/mogilefs-client/".freeze
  s.licenses = ["BSD-3-Clause".freeze]
  s.rubygems_version = "3.0.2".freeze
  s.summary = "MogileFS client library for Ruby".freeze
end

